'use strict';
define([
  'angular',
  'biz/yamoussoukro/modules/form/ffl2/controllers/ffl2Ctrl',
  'biz/yamoussoukro/modules/form/ffl2/directives/ffl2Directive',
  'angular-strap',
  'angular-strap.tpl',

  'angular-route',

  'toastr',
  'ol3js',
  'ng-table',
], function(angular, ffl2Ctrl, ffl2Directive) {
  // generation du module
  var ff = angular.module('gc_ffl2', [
    'mgcrea.ngStrap',
    'ngRoute',
    'pascalprecht.translate',
    'model',
  ]);
  // ajout service

  // ajout controller
  ff.controller('ffl2Ctrl', ffl2Ctrl);
  // ajout directive
  ff.directive('ffl2directive', ffl2Directive);
  // ajout factory

  //route provider

  return ff;
});
